LDCONFIG(8)

NAZWA
ldconfig - konfiguruje powiązania konsolidacyjne czasu uruchamiania

SKŁADNIA
/sbin/ldconfig [ -nNvXV ] [ -f conf ] [ -C cache ] [ -r root ] katalog ...
/sbin/ldconfig -l [ -v ] biblioteka ...
/sbin/ldconfig -p

OPIS
ldconfig tworzy potrzebne dowiązania i bufor do najnowszych bibliotek dzielonych, które znajdzie w katalogach podanych w linii poleceń, w pliku /etc/ld.so.conf oraz w zaufanych katalogach /lib i /usr/lib (na niektórych architekturach 64-bitowych, takich jak x86-64, lib i /usr/lib są zaufanymi katalogami dla bibliotek 32-bitowych, a /lib64 i /usr/lib64 są używane dla bibliotek 64-bitowych). Bufor jest używany przez konsolidator czasu uruchamiania: ld.so lub ld-linux.so. ldconfig sprawdza nagłówki i nazwy plików badanych bibliotek, aby określić, które wersje powinny mieć odnowione linki.

ldconfig spróbuje określić typ bibliotek ELF (to jest libc5 lub libc6/glibc) na podstawie tego, z którymi bibliotekami C, jeśli z jakimikolwiek, biblioteki zostały skonsolidowane.

Niektóre istniejące biblioteki nie zawierają wystarczających informacji pozwalających na określenie typu. Dlatego format pliku /etc/ld.so.conf pozwala na podanie oczekiwanego typu. Jest to używane tylko dla tych bibliotek ELF, dla których nie udało się określić typu. Format to "katalog=TYP", gdzie "TYP" może być jednym z libc4, libc5 lub libc6. (Składania ta działa również w linii poleceń). Nie można używać spacji. Patrz także opis opcji -p. ldconfig powinien być używany przez administratora, ponieważ może wymagać praw do zapisu niektórych katalogów i plików użytkownika root.

OPCJE

-c format, --format=format
    (od glibc 2.2) Format bufora do użycia: old, new lub compat (domyślny).

-C cache
    Używa cache zamiast /etc/ld.so.cache.

-f conf
    Używa conf zamiast /etc/ld.so.conf.

-i, --ignore-aux-cache
    (od glibc 2.7) Ignoruje dodatkowy plik bufora.

-l  (od glibc 2.2) Tryb biblioteki. Linkuj ręcznie pojedyncze biblioteki. Przeznaczone tylko dla ekspertów.

-n  Przetwarza tylko katalogi podane w linii poleceń. Nie przetwarza katalogów zaufanych ani tych, podanych w /etc/ld.so.conf. Wymusza -N.

-N  Nie przebudowuje cache. O ile nie podano -X, linki są wciąż odnawiane.

-p, --print-cache
    Wyświetla listę katalogów i biblioteki, przechowywane w bieżącym cache.

-r  root
    Zmienia katalog główny na root i używa go.

-v, --verbose
    Tryb gadatliwy. Wyświetla bieżący numer wersji, nazwę każdego skanowanego katalogu i każdy tworzony link. Unieważnia tryb cichy.

-V, --version
    Wyświetla wersję programu.

-X  Nie odnawia linków. O ile nie podano -N, cache jest wciąż przebudowywane.

PLIKI
/lib/ld.so
    Konsolidator czasu uruchamiania.
/etc/ld.so.conf
    Plik zawierający listę katalogów, po jednym w wierszu, wskazujących, gdzie szukać bibliotek.
/etc/ld.so.cache
    Plik zawierający uporządkowaną listę bibliotek, znalezionych w katalogach wymienionych w /etc/ld.so.conf oraz w zaufanych katalogach.

ZOBACZ TAKŻE
ldd(1), ld.so(8)

O STRONIE
Angielska wersja tej strony pochodzi z wydania 4.05 projektu Linux man-pages. Opis projektu, informacje dotyczące zgłaszania błędów, oraz najnowszą wersję oryginału można znaleźć pod adresem https://www.kernel.org/doc/man-pages/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 4.05 oryginału.